<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/llg.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>llg.h</h1><a href="llg_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of magpar.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2002-2010 Werner Scholz</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    www:   http://www.magpar.net/</span>
<a name="l00007"></a>00007 <span class="comment">    email: magpar(at)magpar.net</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    magpar is free software; you can redistribute it and/or modify</span>
<a name="l00010"></a>00010 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00011"></a>00011 <span class="comment">    the Free Software Foundation; either version 2 of the License, or</span>
<a name="l00012"></a>00012 <span class="comment">    (at your option) any later version.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    magpar is distributed in the hope that it will be useful,</span>
<a name="l00015"></a>00015 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00016"></a>00016 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00017"></a>00017 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00020"></a>00020 <span class="comment">    along with magpar; if not, write to the Free Software</span>
<a name="l00021"></a>00021 <span class="comment">    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<a name="l00022"></a>00022 <span class="comment">*/</span>
<a name="l00023"></a>00023 
<a name="l00024"></a>00024 <span class="comment">/* $Id: llg.h 2962 2010-02-04 19:50:44Z scholz $ */</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef LLG_H</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define LLG_H</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="code" href="griddata_8h.html">griddata.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifdef SUNDIALS_VERSION</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#if SUNDIALS_VERSION &lt; 230</span>
<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#error &quot;SUNDIALS versions lower/older than 2.3.0 are not supported&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span>
<a name="l00037"></a>00037 <span class="preprocessor">#ifdef UNIPROC</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="preprocessor">#include &quot;nvector/nvector_serial.h&quot;</span>       <span class="comment">/* definitions of type N_Vector, macro N_VDATA for serial version */</span>
<a name="l00039"></a>00039 <span class="preprocessor">#else</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#include &quot;nvector/nvector_parallel.h&quot;</span>     <span class="comment">/* definitions of type N_Vector, macro N_VDATA for parallel version */</span>
<a name="l00041"></a>00041 <span class="preprocessor">#endif</span>
<a name="l00042"></a>00042 <span class="preprocessor"></span>
<a name="l00043"></a>00043 <span class="preprocessor">#include &quot;sundials/sundials_types.h&quot;</span>      <span class="comment">/* definitions of real, integer, boole, TRUE,FALSE */</span>
<a name="l00044"></a>00044 <span class="preprocessor">#include &quot;cvode/cvode.h&quot;</span>                  <span class="comment">/* main CVODE header file */</span>
<a name="l00045"></a>00045 <span class="preprocessor">#include &quot;sundials/sundials_spgmr.h&quot;</span>      <span class="comment">/* use CVSPGMR linear solver each internal step */</span>
<a name="l00046"></a>00046 <span class="preprocessor">#include &quot;sundials/sundials_dense.h&quot;</span>      <span class="comment">/* use generic DENSE solver in preconditioning */</span>
<a name="l00047"></a>00047 <span class="preprocessor">#include &quot;sundials/sundials_math.h&quot;</span>       <span class="comment">/* contains SQR macro */</span>
<a name="l00048"></a>00048 
<a name="l00049"></a>00049 <span class="keywordtype">int</span> <a class="code" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6">RHSfunction</a>(realtype t,N_Vector u,N_Vector udot,<span class="keywordtype">void</span> *f_data);
<a name="l00050"></a>00050 <span class="keywordtype">int</span> <a class="code" href="precond_8c.html#a26a82305d86917d32992af0031acd675">PSolve</a>(realtype t,N_Vector y,N_Vector fy,N_Vector r,N_Vector z,realtype gamma,realtype delta,<span class="keywordtype">int</span> lr,<span class="keywordtype">void</span> *P_data,N_Vector vtemp);
<a name="l00051"></a>00051 <span class="keywordtype">int</span> <a class="code" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f">Precond</a>(realtype t,N_Vector y,N_Vector fy,booleantype jok,booleantype *jcurPtr,realtype gamma,<span class="keywordtype">void</span> *P_data,N_Vector vtemp1,N_Vector vtemp2,N_Vector vtemp3);
<a name="l00052"></a>00052 <span class="keywordtype">int</span> <a class="code" href="precond_8c.html#a2a797df3786fb3caa3a618c1a39d2cc9">Jtimes</a>(N_Vector v,N_Vector Jv,realtype t,N_Vector y,N_Vector fy,<span class="keywordtype">void</span> *jac_data,N_Vector tmp);
<a name="l00053"></a>00053 
<a name="l00054"></a>00054 <span class="keywordtype">int</span> <a class="code" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10">WriteLogPVodeInit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00055"></a>00055 <span class="keywordtype">int</span> <a class="code" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee">WriteLogPVode</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00056"></a>00056 
<a name="l00057"></a>00057 <span class="keywordtype">int</span> <a class="code" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33">CheckIterationLLG</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00058"></a>00058 <span class="keywordtype">int</span> <a class="code" href="checkiterationllg_8c.html#a5d6bf5e0146588628618631eb234060d">EquilCheck</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00059"></a>00059 <span class="keywordtype">int</span> <a class="code" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3">myTSCreatePVode</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00060"></a>00060 <span class="keywordtype">int</span> <a class="code" href="mytssteppvode_8c.html#a61c49a5366b0ae16513998a657704e37">myTSStepPVode</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00061"></a>00061 <span class="keywordtype">int</span> <a class="code" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc">Precond_Init</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00062"></a>00062 <span class="keywordtype">int</span> <a class="code" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a">PVodeInit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00063"></a>00063 <span class="keywordtype">int</span> <a class="code" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da">PVodeReInit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 <span class="preprocessor">#endif</span>
<a name="l00066"></a>00066 <span class="preprocessor"></span>
<a name="l00067"></a>00067 <span class="keywordtype">int</span> <a class="code" href="llg_8h.html#a35010647607c93a40bdab3e86041714f">myLLGJacobian</a>(TS ts,PetscReal t,Vec global_in,Mat *AA,Mat *BB,MatStructure *str,<span class="keywordtype">void</span> *ctx);
<a name="l00068"></a>00068 <span class="keywordtype">int</span> <a class="code" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403">calc_dMdt</a>(TS ts,PetscReal dt,Vec invec,Vec outvec,<span class="keywordtype">void</span> *ptr);
<a name="l00069"></a>00069 
<a name="l00070"></a>00070 <span class="preprocessor">#endif</span>
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

